/**********************************************************

	Copyright (c) Dale Semchishen 1995
	All Rights Reserved

	locfmt.h

	Description:
		Definitions for the Localized string formatting library

	History:
		Apr 20 1995	- Creation

 **********************************************************/

#ifndef __LOCFMT__
#define __LOCFMT__

#ifndef __TYPES__
#include <Types.h>
#endif


/* IF generating code for 680x0 CPUs */
#if GENERATING68K

#ifndef __SANE__
#include <SANE.h>
#endif

/* IF compiling with MetroWorks, map SANE decimal type so the
   same code compiles under both Symantec and MetroWorks */
#ifdef __MWERKS__
typedef Decimal decimal;
#endif

/* ELSE generating code for PowerPC */
#else

#ifndef __FP__
#include <fp.h>
#endif

#endif


#ifdef __cplusplus
extern "C" {
#endif



/*------------------ Function Prototypes ------------------*/

void locfmt_Num2Str
(
	Byte		*localstr_ref,	/* out: formatted string (Pascal) */
	long		 number			/* in: the integer to convert */
);

void locfmt_Dec2Str
(
	Byte		*localstr_ref,	/* out: formatted string (Pascal) */
	decimal		*number_str		/* in: the 'decimal' string to convert */
);

void locfmt_Str2Str
(
	Byte		*localstr_ref,	/* out: formatted local string (Pascal) */
	Byte		*number_str		/* in: string to convert (Pascal) */
);

void locfmt_Num2CurrStr
(
	Byte		*localstr_ref,	/* out: formatted string (Pascal) */
	long		number,			/* in: the integer to convert */
	short		fraction_digits /* in: number of digits to right of decimal point */
);

void locfmt_Dec2CurrStr
(
	Byte		*localstr_ref,	/* out: formatted local currency string (Pascal) */
	decimal		*number_ptr,	/* in: string to convert */
	short		fraction_digits	/* in: number of digits to right of decimal point */
);

#ifdef __cplusplus
}
#endif

#endif